# Diploma work: Server side - API

## Description

## Setup

### Prerequisites

* node.js (v.12.x.x or more recent)
* PostgreSQL (9.6 or more recent)

### Dev environment

1. install node packages `npm i`
1. create a copy of `env.example` and save it as `.env`
1. update variables in `.env`
	* `NODE_ENV=development`
1. run db migration `npm run db:migrate` which creates an empty database with schema
1. start server with `npm start nodemon` or synchronization scripts

#### Notes

* [dotenv](https://www.npmjs.com/package/dotenv) uses `.env`
* linting follows [Airbnb's ESLint config](https://www.npmjs.com/package/eslint-config-airbnb)

### Deployment to production

* set env variables listed in `env.example`
	* `NODE_ENV=production`


### Used

* [express-validation](https://express-validator.github.io/docs/schema-validation.html)
