import config from '../../config';
import { SoftError } from '../errors';

const mailgun = require('mailgun-js')(config.mailgun);

export default async ({
  from,
  to,
  subject,
  html
}) => {
  if (!to || !subject || !html) {
    throw new SoftError('Mailgun: params are missing');
  }

  // default from
  if (!from) {
    // eslint-disable-next-line prefer-destructuring
    from = config.mailgun.from;
  }

  return new Promise((resolve, reject) => {
    mailgun.messages().send({
      from, to, subject, html
    }, (error, body) => {
      if (error) {
        reject(error);
      }
      resolve(body);
    });
  });
};
