import Dinero from 'dinero.js';

/**
 * Conver price in cents into the price in dollars: 1299 -> 12.99
 * @param {number} priceInCents
 *
 * @returns {string} priceInDollars
 */
export function priceInDollars(priceInCents) {
  return Dinero({ amount: priceInCents, precision: 2 }).toFormat('0.00');
}

/**
 * Currency
 */
export const currency = 'USD';


export default { priceInDollars, currency };
