# DB used for synchronization

* currently Postgres 9.4 running in localhost

## Models

* models can be autogenerated with [sequelize-auto](https://github.com/sequelize/sequelize-auto)
```bash
sequelize-auto -h $DB_HOST -d $DB_NAME -u $DB_USER -x $DB_PASS -e mysql -o modelsLatest
```
* check the produced models, there can be syntactical errors 

### Altering models

Use this [README](migrations/README.md) if you want to do any changes to models.

# Useful commands
```bash
# clone production DB instance
aws rds create-db-snapshot --db-instance-identifier hpsyncdb --db-snapshot-identifier syncdbdev-$(date +"%Y-%m-%d")
aws rds restore-db-instance-from-db-snapshot --db-snapshot-identifier syncdbdev-2016-12-21 --db-instance-identifier syncdbdev-2016-12-21
aws rds modify-db-instance --db-instance-identifier syncdbdev-2016-12-21 --backup-retention-period 0 --apply-immediately
aws rds delete-db-snapshot --db-snapshot-identifier syncdbdev2016-12-21

# post DB clone steps
mysqldump -h $DB_HOST -u $DB_USER -p$DB_PASS $DB_NAME --no-data > schema.sql # update schema
```
