module.exports = (sequelize, DataTypes) => {
  const Model = sequelize.define('cabinet', {
    id: {
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
    },
    title: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    colorCode: {
      type: DataTypes.STRING(10),
      allowNull: true,
    },
  }, {
    tableName: 'cabinet',
    timestamps: true,
    paranoid: true,
  });

  Model.attrs = [
    'id',
    'title',
    'colorCode',
  ];

  Model.prototype.format = function format() {
    const client = {
      id: this.id,
      title: this.title,
      colorCode: this.colorCode,
    };

    return client;
  };


  return Model;
};
