import moment from 'moment';

const dateFormat = 'DD-MM-YYYY';

module.exports = (sequelize, DataTypes) => {
  const Model = sequelize.define('client', {
    id: {
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
    },
    firstName: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    lastName: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    birthDate: {
      type: DataTypes.DATE,
      allowNull: false,
    },
    birthNumber: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    insuranceNumber: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    street: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    city: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    postcode: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    allergies: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    notificationType: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    authorId: {
      type: DataTypes.STRING,
      allowNull: false,
    },
  }, {
    tableName: 'client',
    timestamps: true,
    paranoid: true,
  });

  Model.attrs = [
    'id',
    'firstName',
    'lastName',
    'birthDate',
    'birthNumber',
    'insuranceNumber',
    'street',
    'city',
    'postcode',
    'allergies',
    'notificationType',
  ];

  Model.prototype.format = function format() {
    const client = {
      id: this.id,
      firstName: this.firstName,
      lastName: this.lastName,
      birthDate: moment(this.birthDate).format(dateFormat),
      birthNumber: this.birthNumber,
      insuranceNumber: this.insuranceNumber,
      street: this.street,
      city: this.city,
      postcode: this.postcode,
      allergies: this.allergies,
      notificationType: this.notificationType,
    };

    return client;
  };


  return Model;
};
