module.exports = {
  up: (queryInterface, Sequelize) => queryInterface.createTable('schedule', {
    id: {
      type: Sequelize.INTEGER,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
    },
    userId: {
      type: Sequelize.INTEGER,
      // in case of null it means it's general schedule for the whole clinic
      allowNull: true,
      references: {
        model: 'user',
        key: 'id',
      },
    },
    day: {
      type: Sequelize.ENUM('monday', 'tuesday', 'wednesday', 'thursday', 'friday', 'saturday', 'sunday'),
      allowNull: false,
    },
    // time only HH:mm:ss
    from: {
      type: Sequelize.DATE(6),
      allowNull: false,
    },
    // time only HH:mm:ss
    to: {
      type: Sequelize.DATE(6),
      allowNull: false,
    },
    lastEditBy: {
      type: Sequelize.INTEGER,
      allowNull: false,
      references: {
        model: 'user',
        key: 'id',
      },
    },
    createdAt: {
      type: Sequelize.DATE,
      allowNull: true,
    },
  }),

  down: queryInterface => queryInterface.dropTable('schedule'),
};
