

module.exports = {
  up: (queryInterface, Sequelize) => queryInterface.createTable('appointment', {
    id: {
      type: Sequelize.INTEGER,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
    },
    authorId: {
      type: Sequelize.INTEGER,
      allowNull: false,
      references: {
        model: 'user',
        key: 'id',
      },
    },
    doctorId: {
      type: Sequelize.INTEGER,
      allowNull: false,
      references: {
        model: 'user',
        key: 'id',
      },
    },
    clientId: {
      type: Sequelize.INTEGER,
      allowNull: false,
      references: {
        model: 'client',
        key: 'id',
      },
    },
    cabinetId: {
      type: Sequelize.INTEGER,
      allowNull: false,
      references: {
        model: 'cabinet',
        key: 'id',
      },
    },
    visitDate: {
      type: Sequelize.DATEONLY,
      allowNull: false,
    },
    visitTimeFrom: {
      type: Sequelize.DATE(6),
      allowNull: false,
    },
    // sessionTimeTo + 30 min
    visitTimeTo: {
      type: Sequelize.DATE(6),
      allowNull: false,
    },
    sessionTimeTo: {
      type: Sequelize.DATE(6),
      allowNull: false,
    },
    complaint: {
      type: Sequelize.STRING(1000),
      allowNull: true,
    },
    diagnosis: {
      type: Sequelize.STRING(1000),
      allowNull: true,
    },
    comment: {
      type: Sequelize.STRING(1000),
      allowNull: true,
    },
    clientNotifiedAt: {
      type: Sequelize.DATE,
      allowNull: true,
    },
    createdAt: {
      type: Sequelize.DATE,
      allowNull: true,
    },
    updatedAt: {
      type: Sequelize.DATE,
      allowNull: true,
    },
    deletedAt: {
      type: Sequelize.DATE,
      allowNull: true,
    },
  }),

  down: queryInterface => queryInterface.dropTable('appointment'),
};
