/**
  @api {get} /account Get user info
  @apiGroup Account

  @apiHeader {string} Authorization Bearer ${token}

  @apiSuccessExample {json} Success
    HTTP/1.1 200 OK
    {
      "id": 5,
      "role": "doctor",
      "email": "user@test.com",
      "firstName": "Name",
      "lastName": "Last",
      "photoUrl": "",
      "doctorSpecialization": "",
      "colorCode": "",
      "isDoctor": true
    }

  @apiUse InternalError
  @apiUse UnauthorizedError
*/
export default async (req, res) => {
  const { user } = req;
  const account = user.format();

  res.send(account);
};
