import { Router } from 'express';

import authenticate from '../../../lib/auth';

import getUser from './getUser';
import updateUser from './updateUser';
import updatePassword from './updatePassword';
import deleteUser from './deleteUser';

const router = new Router();

router.get('/', authenticate(), getUser);
router.post('/', authenticate(), updateUser);
router.post('/updatePassword', authenticate(), updatePassword);
router.delete('/', authenticate(), deleteUser);

export default router;
