import { Router } from 'express';

import authenticate from '../../../lib/auth';

import getDetails from './getDetails';
import create from './create';
import update from './update';
import archive from './archive';

const router = new Router();

router.get('/:id', authenticate(), getDetails);
router.post('/', authenticate(), create);
router.post('/:id', authenticate(), update);
router.delete('/:id', authenticate(), archive);

export default router;
