import { Router } from 'express';

import authenticate from '../../../lib/auth';

import signup from './signup';
import signin from './signin';
import logout from './logout';
import archive from './archive';

import ping from './ping';

const router = new Router();


router.post('/signup', authenticate({ role: 'director' }), signup);
router.delete('/:id', authenticate({ role: 'director' }), archive);
router.post('/signin', signin);
router.post('/logout', authenticate(), logout);

router.get('/ping', authenticate(), ping);


export default router;
