/**
  @api {post} /auth/logout LogOut
  @apiGroup Auth
  @apiDescription Destroy current user session

  @apiHeader {string} Authorization Bearer ${token}

  @apiSuccessExample {json} Success
    HTTP/1.1 200 OK
    {
      "success": true
    }

  @apiUse InternalError
  @apiUse UnauthorizedError
*/
export default (req, res, next) => req.user.session.destroy()
  .then(() => res.send({ success: true }))
  .catch(next);
