/**
  @api {get} /auth/ping Verify session
  @apiGroup Auth

  @apiHeader {string} Authorization Bearer ${token}

  @apiSuccessExample {json} Success
    HTTP/1.1 200 OK
    {
      "success": true,
      "user": {
        "id": 123,
        "email": "username@email.com",
        "role": "director",
        "firstName": "John",
        "lastName": "Doe",
        "photoUrl": "",
        "doctorSpecialization": "",
        "colorCode": "",
        "isDoctor": true
      }
    }

  @apiUse InternalError
*/
export default (req, res) => {
  const {user} = req;

  const response = {
    success: !!user,
    user: user.format(),
  };

  res.send(response);
};
