/**
  @api {get} /cabinet Get list
  @apiGroup Cabinet

  @apiHeader {string} Authorization Bearer ${token}

  @apiSuccessExample {json} Success
    HTTP/1.1 200 OK
    [{
      "id": 5,
      "title": "A",
      "colorCode": "#555533"
    }]

  @apiUse InternalError
  @apiUse UnauthorizedError
*/
export default async (req, res) => {
  const { db } = req;
  const cabinets = await db.cabinet.findAll({
    attributes: db.cabinet.attrs,
  });

  const response = cabinets.map(cabinet => cabinet.format());

  res.send(response);
};
