import { Router } from 'express';

import authenticate from '../../../lib/auth';

import getList from './getList';
import create from './create';
import update from './update';
import archive from './archive';

const router = new Router();

router.get('/', authenticate(), getList);
router.post('/', authenticate({ role: 'director' }), create);
router.post('/:id', authenticate({ role: 'director' }), update);
router.delete('/:id', authenticate({ role: 'director' }), archive);

export default router;
