import { Router } from 'express';
import bodyParser from 'body-parser';


import auth from './auth';
import account from './account';

// get list of doctors
import user from './user';

// add cabinet
// get list of cabinets
// update cabinet
// archive cabinet
import cabinet from './cabinet';

// get general schedule for the whole clinic
// get user's schedule
// set general schedule for the whole clinic
// set user's schedule
import schedule from './schedule';

// send request of new schedule
// list of requests
// approve
// decline
import requestedScheduleUpdates from './requestedScheduleUpdates';

// search client
import client from './client';

// create appointment
// get appointment
// update appointment
// archive appointment
import appointment from './appointment';

// get calendar with filters by cabinet/doctor
import calendar from './calendar';


const router = Router();

router.use(bodyParser.json({
  limit: '500kb'
}));


router.use('/auth', auth);
router.use('/user', user);
router.use('/account', account);
router.use('/cabinet', cabinet);
router.use('/schedule', schedule);
router.use('/requestedScheduleUpdates', requestedScheduleUpdates);
router.use('/client', client);
router.use('/appointment', appointment);
router.use('/calendar', calendar);


export default router;
