import { Router } from 'express';

import authenticate from '../../../lib/auth';

import getList from './getList';
import create from './create';
import approve from './approve';
import decline from './decline';

const router = new Router();

router.post('/', authenticate(), create);
router.get('/', authenticate({ role: 'director' }), getList);
router.post('/approve/:userId', authenticate({ role: 'director' }), approve);
router.post('/decline/:userId', authenticate({ role: 'director' }), decline);

export default router;
