import { Router } from 'express';

import authenticate from '../../../lib/auth';

import getGeneralSchedule from './getGeneralSchedule';
import getUserSchedule from './getUserSchedule';
import setGeneralSchedule from './setGeneralSchedule';
import setUserSchedule from './setUserSchedule';

const router = new Router();

router.get('/general', authenticate(), getGeneralSchedule);
router.get('/:userId', authenticate(), getUserSchedule);
router.post('/general', authenticate({ role: 'director' }), setGeneralSchedule);
router.post('/:userId', authenticate(), setUserSchedule);

export default router;
