import Container from '@material-ui/core/Container';
import makeStyles from '@material-ui/core/styles/makeStyles';
import React from 'react';
import { NavBar } from './components/NavBar';

const useStyles = makeStyles(() => ({
  layout: {
    height: '100vh',
    width: '100%',
    padding: 0,
    maxWidth: 'none',
    background:
      'transparent linear-gradient(180deg, #36346C 0%, #4D619E 100%) 0% 0% no-repeat padding-box',
  },
}));

export const Layout = ({ children }) => {
  const classes = useStyles();

  return (
    <Container className={classes.layout}>
      <NavBar />
      {children}
    </Container>
  );
};
