import { Grid, makeStyles, Typography } from '@material-ui/core';
import React from 'react';

const useStyles = makeStyles((theme) => ({
  container: {
    paddingLeft: theme.spacing(1),
    paddingRight: theme.spacing(1),
    height: '100%',
    color: 'black',
  },
}));

export const Appointment = ({ data }) => {
  const { doctor, patient } = data;
  const classes = useStyles();

  return (
    <Grid
      className={classes.container}
      container
      direction="column"
      justify="flex-start"
      alignItems="center"
      style={{ backgroundColor: '#EBECFF', borderTop: `5px solid ${data.color}` }}
    >
      <Grid container item direction="row" alignItems="center" wrap="nowrap">
        <Typography variant="body2" style={{ flex: 1 }}>
          Lekar
        </Typography>
        <Typography variant="body2" style={{ flex: 3 }}>
          {doctor}
        </Typography>
      </Grid>
      <Grid container item direction="row" alignItems="center" wrap="nowrap">
        <Typography variant="body2" style={{ flex: 1 }}>
          Pacient
        </Typography>
        <Typography variant="body2" style={{ flex: 3 }}>
          {patient}
        </Typography>
      </Grid>
    </Grid>
  );
};
