const initState = {
  isAuth: false,
  id: null,
  email: null,
  firstName: null,
  lastName: null,
  photoUrl: null,
  doctorSpecialization: null,
  /** @type {'director' | 'doctor' | 'admin' | null} */
  role: null,
};

const reducer = (state = initState, action = { type: '', payload: {} }) => {
  switch (action.type) {
    case 'login': {
      return {
        ...state,
        ...(action.payload?.user || {}),
        isAuth: true,
      };
    }
    case 'auth': {
      return {
        ...state,
        ...(action.payload?.user || {}),
        isAuth: true,
      };
    }
    case 'logout': {
      return {
        ...initState,
      };
    }
    default: {
      return state;
    }
  }
};

export const selectIsUserAuth = (state = { user: initState }) => state.user.isAuth;
export const selectUserPhotoUrl = (state) => state.user.photoUrl;
export const selectUserFirstName = (state) => state.user.firstName;
export const selectUserLastName = (state) => state.user.lastName;
export const selectUserRole = (state) => state.user.role;

export default reducer;
