import Container from '@material-ui/core/Container';
import makeStyles from '@material-ui/core/styles/makeStyles';
import React, { useState } from 'react';
import Typography from '@material-ui/core/Typography';
import Button from '@material-ui/core/Button';
import Grid from '@material-ui/core/Grid';
import TextField from '@material-ui/core/TextField';

const useStyles = makeStyles((theme) => ({
  title: {
    color: '#ffffff',
  },
  button: {
    marginTop: theme.spacing(2),
  },
}));

export const LoginForm = ({ onSubmit = () => {} }) => {
  const classes = useStyles();
  const [email, setEmail] = useState();
  const [password, setPassword] = useState();

  return (
    <Container maxWidth="xs">
      <Typography variant="h5" align="center" className={classes.title}>
        Vítáme Vás v DentaLight
      </Typography>
      <form
        onSubmit={(e) => {
          e.preventDefault();
          onSubmit?.(email, password);
        }}
      >
        <Grid container direction="column" justify="center" alignItems="center">
          <TextField
            required
            value={email}
            onChange={({ target }) => setEmail(target.value)}
            fullWidth
            margin="normal"
            variant="filled"
            type="email"
            label="Uživatelské jméno"
            InputProps={{ disableUnderline: true }}
          />
          <TextField
            required
            value={password}
            onChange={({ target }) => setPassword(target.value)}
            fullWidth
            variant="filled"
            type="password"
            label="Heslo"
            InputProps={{ disableUnderline: true }}
          />
          <Button className={classes.button} variant="contained" type="submit">
            Přihlásit se
          </Button>
        </Grid>
      </form>
    </Container>
  );
};
