import { Container, FormControl, FormControlLabel, Radio, RadioGroup } from '@material-ui/core';
import React, { useEffect, useState } from 'react';
import { fakeDoctors } from '../../../mocks';
import { request } from '../../../utils/api';
import { getCookie } from '../../../utils/cookies';

export const DoctorList = ({ value, onSelect }) => {
  const [doctors, setDoctors] = useState(fakeDoctors);

  useEffect(() => {
    const token = getCookie('token');
    request({
      url: 'http://45.137.148.94/v1/user/doctors',
      headers: {
        Authorization: `Bearer ${token}`,
      },
    }).then(setDoctors);
  }, []);

  return (
    <Container>
      <FormControl>
        <RadioGroup value={value} onChange={(e) => onSelect(e.target.value)}>
          <FormControlLabel label="Společný rozvrh" value="all" control={<Radio />} />
          {doctors.map((doctor) => (
            <FormControlLabel
              key={doctor.id}
              label={`${doctor.firstName} ${doctor.lastName}`}
              value={`${doctor.id}`}
              control={<Radio style={{ color: `${doctor.colorCode} !important` }} />}
            />
          ))}
        </RadioGroup>
      </FormControl>
    </Container>
  );
};
