import React, { useState } from 'react';
import { Container, Grid, makeStyles, Snackbar } from '@material-ui/core';
import Alert from '@material-ui/lab/Alert';
import { EditGeneralSchedule } from './components/EditGeneralSchedule';
import { EditCabinet } from './components/EditCabinets';
import { EditDoctorsList } from './components/EditDoctorsList';

const useStyles = makeStyles((theme) => ({
  container: {
    maxWidth: 'none',
  },
  formLabel: {
    color: '#ffffff !important',
    marginBottom: theme.spacing(1),
    marginRight: theme.spacing(2),
  },
  inputInRow: {
    marginRight: theme.spacing(2),
  },
}));

const SettingsPage = () => {
  const classes = useStyles();
  const [errorMessage, setErrorMessage] = useState();

  return (
    <Container className={classes.container}>
      <Grid container direction="row" justify="space-between" wrap="nowrap">
        <EditGeneralSchedule onError={setErrorMessage} />
        <EditCabinet onError={setErrorMessage} />
        <EditDoctorsList onError={setErrorMessage} />
      </Grid>
      <Snackbar open={errorMessage} autoHideDuration={6000} onClose={() => setErrorMessage(false)}>
        <Alert onClose={() => setErrorMessage(false)} severity="error">
          {errorMessage}
        </Alert>
      </Snackbar>
    </Container>
  );
};

export default SettingsPage;
